#{extends 'border.html'/}

<div class="container">*{id="web-home"}*
    <div class="row">
        <h1>TinyMCE Quick Start Guide</h1>
    #{form @DocComposerCtr.create(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data', target:'_blank'}

            <textarea id="mytextarea" name="isi_text">Hello, LKPP!</textarea>
            <div>
                <button type="submit"> SAVE</button>
            </div>

    #{/form}
    </div>
</div>


#{set 'moreLibs'}
    <script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}

    <script>
        tinymce.init({
            selector: '#mytextarea',
            images_upload_base_path: "@{'/public/files/image'}",
            plugins : 'advlist autolink link image lists charmap print preview code',
            a_plugin_option: true,
            a_configuration_option: 400,
            images_upload_handler: function (blobInfo, success, failure) {
                var xhr, formData;
                xhr = new XMLHttpRequest();
                xhr.withCredentials = false;
                xhr.open('POST', '@{MediaManager.upload()}');

                xhr.onload = function() {
                    var json;

                    if (xhr.status != 200) {
                        failure('HTTP Error: ' + xhr.status);
                        return;
                    }

                    json = JSON.parse(xhr.responseText);

                    if (!json || typeof json.location != 'string') {
                        failure('Invalid JSON: ' + xhr.responseText);
                        return;
                    }

                    success(json.location);
                };

                formData = new FormData();
                formData.append('file', blobInfo.blob(), blobInfo.filename());

                xhr.send(formData);
            },
            image_caption: true,
            image_list: "@{MediaManager.listImageGallery()}"


        });
    </script>
#{/set }